Opened 10 years ago

Closed 10 years ago

#112 closed (fixed)

ImageProxy unable to retrieve image failure reported for

Reported by: lnevers@bbn.com Owned by: vjo@cs.duke.edu
Priority: major Milestone: EG-EXP-6
Component: AM Version: SPIRAL4
Keywords: sliver creation Cc:
Dependencies:

Description

Created a 1-node on shared VLAN 1750, and the sliver status reports a failure.

The rspec is attached, following is the createsliver and the sliverstatus output.

$ omni.py -a exobbn createsliver EG-EXP-6-exp1 EG-EXP-6-exp1-exobbn.rspec
INFO:omni:Loading config file omni_config
INFO:omni:Using control framework pgeni
INFO:omni:Slice urn:publicid:IDN+pgeni.gpolab.bbn.com+slice+EG-EXP-6-exp1 expires on 2012-09-27 14:01:23 UTC
INFO:omni:Substituting AM nickname exobbn with URL https://bbn-hn.exogeni.net:11443/orca/xmlrpc, URN unspecified_AM_URN
INFO:omni:Substituting AM nickname exobbn with URL https://bbn-hn.exogeni.net:11443/orca/xmlrpc, URN unspecified_AM_URN
INFO:omni:Creating sliver(s) from rspec file EG-EXP-6-exp1-exobbn.rspec for slice urn:publicid:IDN+pgeni.gpolab.bbn.com+slice+EG-EXP-6-exp1
INFO:omni:Got return from CreateSliver for slice EG-EXP-6-exp1 at https://bbn-hn.exogeni.net:11443/orca/xmlrpc:
INFO:omni:<?xml version="1.0" ?>
INFO:omni:  <!-- Reserved resources for:
	Slice: EG-EXP-6-exp1
	at AM:
	URN: unspecified_AM_URN
	URL: https://bbn-hn.exogeni.net:11443/orca/xmlrpc
 -->
INFO:omni:  <rspec type="manifest" xmlns="http://www.geni.net/resources/rspec/3" xmlns:ns2="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/" xmlns:ns3="http://groups.geni.net/exogeni/attachment/wiki/RspecExtensions/slice-info/1" xmlns:ns4="http://groups.geni.net/exogeni/attachment/wiki/RspecExtensions/sliver-info/1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.geni.net/resources/rspec/3 http://www.geni.net/resources/rspec/3/manifest.xsd http://hpn.east.isi.edu/rspec/ext/stitch/0.1/ http://hpn.east.isi.edu/rspec/ext/stitch/0.1/stitch-schema.xsd http://groups.geni.net/exogeni/attachment/wiki/RspecExtensions/slice-info/1 http://groups.geni.net/exogeni/attachment/wiki/RspecExtensions/slice-info/1/slice_info.xsd?format=raw http://groups.geni.net/exogeni/attachment/wiki/RspecExtensions/sliver-info/1 http://groups.geni.net/exogeni/attachment/wiki/RspecExtensions/sliver-info/1/sliver_info.xsd?format=raw">  
      <node client_id="VM" component_id="urn:publicid:IDN+exogeni.net:bbnvmsite+node+orca-vm-cloud" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am" component_name="orca-vm-cloud" exclusive="true" sliver_id="urn:publicid:IDN+exogeni.net:bbnvmsite+sliver+2b0cc4b8-4154-4de8-aabd-78997ceda253#VM">    
            <sliver_type name="m1.small">      
                  <disk_image name="http://geni-images.renci.org/images/standard/debian/debian-squeeze-amd64-neuca-2g.zfilesystem.sparse.v0.2.xml" version="397c431cb9249e1f361484b08674bc3381455bb9"/>      
            </sliver_type>    
            <services/>    
            <interface client_id="VM:if0">      
                  <ip address="10.42.19.27" netmask="255.255.255.0" type="ipv4"/>      
            </interface>    
            <ns4:geni_sliver_info creation_time="2012-09-26T09:01:39.138-04:00" creator_urn="urn:publicid:IDN+pgeni.gpolab.bbn.com+user+lnevers" expiration_time="2012-10-10T08:01:39.138-04:00" start_time="2012-09-26T09:01:39.138-04:00" state="Nascent"/>    
      </node>  
      <link client_id="lan0" sliver_id="urn:publicid:IDN+exogeni.net:bbnvmsite+sliver+2b0cc4b8-4154-4de8-aabd-78997ceda253#lan0" vlantag="1750">    
            <interface_ref client_id="VM:if0"/>    
            <ns4:geni_sliver_info creation_time="2012-09-26T09:01:39.138-04:00" creator_urn="urn:publicid:IDN+pgeni.gpolab.bbn.com+user+lnevers" expiration_time="2012-10-10T08:01:39.138-04:00" start_time="2012-09-26T09:01:39.138-04:00"/>    
      </link>  
      <ns3:geni_slice_info state="unknown" urn="urn:publicid:IDN+pgeni.gpolab.bbn.com+slice+EG-EXP-6-exp1" uuid="878c5c74-290a-4d85-96dd-deb8fb57eaa9"/>  
</rspec>
INFO:omni: ------------------------------------------------------------
INFO:omni: Completed createsliver:

  Options as run:
		aggregate: ['exobbn']
		framework: pgeni
		getversionCacheName: /home/lnevers/.gcf/get_version_cache.json

  Args: createsliver EG-EXP-6-exp1 EG-EXP-6-exp1-exobbn.rspec
  Result Summary: Got Reserved resources RSpec from bbn-hn-exogeni-net-11443-orca 
INFO:omni: ============================================================
lnevers@arendia:~/gcf-2.0$ omni.py -a exobbn sliverstatus EG-EXP-6-exp1 
INFO:omni:Loading config file omni_config
INFO:omni:Using control framework pgeni
INFO:omni:Slice urn:publicid:IDN+pgeni.gpolab.bbn.com+slice+EG-EXP-6-exp1 expires on 2012-09-27 14:01:23 UTC
INFO:omni:Substituting AM nickname exobbn with URL https://bbn-hn.exogeni.net:11443/orca/xmlrpc, URN unspecified_AM_URN
INFO:omni:Status of Slice urn:publicid:IDN+pgeni.gpolab.bbn.com+slice+EG-EXP-6-exp1:
INFO:omni:Sliver status for Slice urn:publicid:IDN+pgeni.gpolab.bbn.com+slice+EG-EXP-6-exp1 at AM URL https://bbn-hn.exogeni.net:11443/orca/xmlrpc
INFO:omni:{
  "geni_status": "failed", 
  "geni_urn": "urn:publicid:IDN+pgeni.gpolab.bbn.com+slice+EG-EXP-6-exp1", 
  "geni_resources": [
    {
      "orca_expires": "Wed Oct 10 12:01:39 UTC 2012", 
      "geni_urn": "urn:publicid:IDN+exogeni.net:bbnvmsite+sliver+2b0cc4b8-4154-4de8-aabd-78997ceda253#VM", 
      "geni_error": "Reservation eb2b26c0-ac50-4535-a4d3-f421a4118d0b (Slice urn:publicid:IDN+pgeni.gpolab.bbn.com+slice+EG-EXP-6-exp1) is in state [Failed,None], err=resources failed to join: Exception during join for unit: 694F4F4A ImageProxy unable to retrieve image: org.apache.axis2.AxisFault: no such table: FILE\n", 
      "geni_status": "Failed"
    }
  ]
}
INFO:omni: ------------------------------------------------------------
INFO:omni: Completed sliverstatus:

  Options as run:
		aggregate: ['exobbn']
		framework: pgeni
		getversionCacheName: /home/lnevers/.gcf/get_version_cache.json

  Args: sliverstatus EG-EXP-6-exp1
  Result Summary: Slice urn:publicid:IDN+pgeni.gpolab.bbn.com+slice+EG-EXP-6-exp1 expires on 2012-09-27 14:01:23 UTC
Returned status of slivers on 1 of 1 possible aggregates. 
INFO:omni: ============================================================

Attachments (1)

EG-EXP-6-exp1-exobbn.rspec (1.3 KB) - added by lnevers@bbn.com 10 years ago.

Download all attachments as: .zip

Change History (5)

Changed 10 years ago by lnevers@bbn.com

Attachment: EG-EXP-6-exp1-exobbn.rspec added

comment:1 Changed 10 years ago by ibaldin@renci.org

Owner: changed from somebody to vjo@cs.duke.edu

Victor, please look at this - this looks like something you fixed before (mismatch between db schema and ImP expectation).

ImageProxy? unable to retrieve image: org.apache.axis2.AxisFault?: no such table: FILE

comment:2 Changed 10 years ago by ibaldin@renci.org

This is on BBN rack

comment:3 Changed 10 years ago by vjo@duke.edu

This issue should be resolved; please verify or close.

comment:4 Changed 10 years ago by lnevers@bbn.com

Resolution: fixed
Status: newclosed

I have created the sliver in this ticket several times, as well as numerous other slivers and have not run into this problem.

Problem is deemed solved, ticket is being closed.

Note: See TracTickets for help on using tickets.